Skip to main content
GET
/
bulk_sim_card_actions
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const bulkSimCardActionListResponse of client.bulkSimCardActions.list()) {
  console.log(bulkSimCardActionListResponse.id);
}
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.bulk_sim_card_actions.list()
page = page.data[0]
print(page.id)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.BulkSimCardActions.List(context.TODO(), telnyx.BulkSimCardActionListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bulksimcardactions.BulkSimCardActionListPage;
import com.telnyx.sdk.models.bulksimcardactions.BulkSimCardActionListParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

BulkSimCardActionListPage page = client.bulkSimCardActions().list();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

page = telnyx.bulk_sim_card_actions.list

puts(page)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$page = $client->bulkSimCardActions->list(
filterActionType: 'bulk_set_public_ips', pageNumber: 1, pageSize: 1
);

var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx bulk-sim-card-actions list \
--api-key 'My API Key'
curl --request GET \
--url https://api.telnyx.com/v2/bulk_sim_card_actions \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
      "record_type": "bulk_sim_card_action",
      "action_type": "bulk_set_public_ips",
      "settings": {},
      "sim_card_actions_summary": [
        {
          "status": "in-progress",
          "count": 123
        }
      ],
      "created_at": "2018-02-02T22:25:27.521Z",
      "updated_at": "2018-02-02T22:25:27.521Z"
    }
  ],
  "meta": {
    "total_pages": 3,
    "total_results": 55,
    "page_number": 2,
    "page_size": 25
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[number]
integer
default:1

The page number to load.

Required range: x >= 1
page[size]
integer
default:20

The size of the page.

Required range: 1 <= x <= 250
filter[action_type]
enum<string>

Filter by action type.

Available options:
bulk_disable_voice,
bulk_enable_voice,
bulk_set_public_ips
Example:

"bulk_set_public_ips"

Response

Successful Response

data
object[]
meta
object